const swaggerRoutes = require('../../src')
// const swaggerRoutes = require('swagger-routes')
const express = require('express')
const app = express()

swaggerRoutes(app, {
	api: './api2.yml',
	// handlers: {
	// 	path: './src/handlers',
	// 	group: true
	// },
	handlers: createHandler,
	authorizers: './src/handlers/security'
})

function createHandler(operation) {
	return function handler(req, res, next) {
		const serviceId = operation['x-serviceId']
		const modulePath = `../routes/${operation.pkg}/${serviceId}.js`
		const service = require(modulePath)
		const handler = service[operation.id]
		if (typeof handler === 'function') {
			handler(req, res, next)
		} else {
			res.sendStatus(404)
		}
	}
}

const server = app.listen(8080, 'localhost', function() {
	const address = server.address()
	console.log(`express listening at ${address.address}:${address.port}`)
});
